<?php

define('_PROJECT_DIR', getcwd() . '/../../'); // Директория проекта, относительно неё строится всё остальное
define('_ROOT_DIR', getcwd() . '/');          // Директория где точка входа (текущая директория)
define('_SHOP_DIR', getcwd() . '/../');      // Директория где точка входа в магазин (index.php)

const _ENGINE_DIR = _PROJECT_DIR . 'engine/';   // Директория с движкой
const _SITE_PATH = 'admin/';                    // Если index.php внутри какого-то пути http, например admin/
const _BASE_DIR = _ENGINE_DIR . 'admin/';       // Базовая директория, внутри которой модули и шаблоны

const __REAL_CAT_OBJ_ = '_sys_cat_admin';

header("Content-type: text/html; charset=utf-8");

require_once(_ENGINE_DIR . 'bootstrap.php');


if ($auth->is_login()) {
    $attr_id = $_GET['attr'];
    $val = $_GET['val'];
    if (intval($attr_id) && $val) {
        $core_db->q('INSERT INTO `shop_item_chars_vals` (`attr_id`,`val`) values ("'.intval($attr_id).'","'.db_escape_string($val).'")');
        $id = $core_db->insert_id();
        die('<option value="'.$id.'" selected>'.$val.'</option>');
    }
}
